12.16 update JS loading Problem

  • Hi,

    Have been using 12.16 for years, have updated it to 12.17 the day before yesterday, after update all works well till laptop restarts yesterday. When visiting many website, there's problem handling JS, errors as following:
    Uncaught exception: ReferenceError: Security error: attempted to write (or "read" on some other page) protected variable.
    ....

    This is the login page snapshot. http://www.image-share.com/ijpg-2901-147.html

    Then tried to uninstall 12.17 and install again 12.16, then uninstalled 12.16 totally (including deleting ALL configure files), and re-install 12.16, nothing changed.

    Before updating to 12.17 everything was OK, but now even tried many times complete unistallation the problem is still going on.

    Any help would be highly appreciated.

  • There might be nothing with the updates, but something wrong else while I cannot find.

  • This is just a BUG, OMG, this bug only comes on Opera 12.16 X64 and 12.17 X64, not sure if it's on 12.17 32bit as have not tested. On 12.15 X64 and 12.16 32bit there's no such problem.

  • Please off this post as it's just a bug.

  • Opera 12.15+ (and later versions of 12.x) have worsened web-site compatibility. Security flaws (that were fixed in 12.15+) were extremely minor and insignificant.
    So, use 12.14 (x86 or x64) for maximum compatibility.

    Details: http://forums.opera.com/topic/550/prweb-crashes-opera

  • Opera 12.15+ (and later versions of 12.x) have worsened web-site compatibility. Security flaws (that were fixed in 12.15+) were extremely minor and insignificant.
    So, use 12.14 (x86 or x64) for maximum compatibility.
    Details: http://forums.opera.com/topic/550/prweb-crashes-opera

    Thank you for sharing.

    As you found in the another post, 12.16&12.17 x64 has serious JS compatibility issue. But they don't appear on other versions.

    Before this, have been using 12.15 x86 for quite long time, and I have taken it as 12.16 till checked my server log UserAgent.
    12.15 seems easy to crash or stop response, compatibility is indeed worse than 12.14, especially for some pop-up small window, there's usually nothing pup-ups.

    Have just submitted bugs to Opera ASA about the 12.16&12.17 x64 issue today, not sure will they care.

    It's not wise for Opera ASA to give up Presto, I don't think there's any company can work better on Blink core than Google.

    I'll consider rolling back to 12.14 someday.

    BTW, Is there any solution for default search engine reset bug for 12.14?

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.